%if lang = MPW%
	{ %filename% -- document class }
	{ Created %date% %time% by AppMaker  }
%endif%

const 
	kFileType		= 'TEXT';
	kSignature		= 'XXXX';	{Creator name}

{$S AOpen}
{----------}
Procedure T%appname%Doc.I%appname%Doc;
Begin
	IDocument (kFileType, kSignature, kUsesDataFork, not kUsesRsrcFork,
										not kDataOpen, not kRsrcOpen);
	fSavePrintInfo := true;	{default is false}
End; {I%appname%Doc}

{$S AClose}
{----------}
Procedure T%appname%Doc.Free; Override;
Begin
	FreeData;
	inherited Free;
End; {Free}

{$S AClose}
{----------}
Procedure T%appname%Doc.FreeData; Override;
Begin
End; {FreeData}

{$S AOpen}
{----------}
Procedure T%appname%Doc.DoMakeViews	(forPrinting:	boolean); Override;
var
	aWindow:			TWindow;
	aStdPrintHandler:	TStdPrintHandler;
Begin
	%for each window gen makeWindow%
	
	New (aStdPrintHandler);
	FailNIL (aStdPrintHandler);
	aStdPrintHandler.IStdPrintHandler (self,
										aWindow,			{main view of main window}
										NOT kSquareDots,
										kFixedSize,			{horizontal page size}
										NOT kFixedSize);	{vertical page size}
End; {DoMakeViews}

{$S AWriteFile}
{----------}
Procedure T%appname%Doc.DoNeedDiskSpace	(
							var dataForkBytes:	longInt;
							var rsrcForkBytes:	longInt); Override;
Begin
	inherited DoNeedDiskSpace (dataForkBytes, rsrcForkBytes);	{to save print info}
	dataForkBytes := dataForkBytes + 0 {size of your data};
End; {DoNeedDiskSpace}

{$S AReadFile}
{----------}
Procedure T%appname%Doc.DoRead	(aRefNum:		integer;
								 rsrcExists:	boolean;
								 forPrinting:	boolean); Override;
var
	dataSize:		longInt;
Begin
	inherited DoRead (aRefNum, rsrcExists, forPrinting);	{read printer info}
	FailOSErr (GetEOF (aRefNum, dataSize));		{get size of data in file}
End; {DoRead}

{$S AWriteFile}
{----------}
Procedure T%appname%Doc.DoWrite	(aRefNum:		integer;
								 makingCopy:	boolean); Override;
var
	dataSize:		longInt;
Begin
	inherited DoWrite (aRefNum, makingCopy);	{save print info to disk}
	dataSize := 0 {size of your data};
End; {DoWrite}

{$S ARes}
{----------}
Procedure T%appname%Doc.DoSetupMenus; Override;
Begin
	inherited DoSetupMenus;
End; {DoSetupMenus}

%for each menu gen dynamicMenuProc%
{$S ASelCommand}
{----------}
Function  T%appname%Doc.DoMenuCommand	(aCmdNumber:	CmdNumber): TCommand; Override;
var
	menu:		integer;
	item:		integer;
Begin
	DoMenuCommand := gNoChanges;
	
	if aCmdNumber < 0 then begin
		CmdToMenuItem (aCmdNumber, menu, item);
		%for each menu gen dynamicMenu%

	end else begin
		case aCmdNumber of
			0:
					;
			{put your menu commands here}
			otherwise
					DoMenuCommand := inherited DoMenuCommand (aCmdNumber);
		end; {case}
	end;
End; {DoMenuCommand}

{$IFC qInspector}
{$S AFields}
{----------}
Procedure T%appname%Doc.Fields	(
				Procedure DoToField	(fieldName:		Str255;
									 fieldAddr:		Ptr;
									 fieldType:		integer)
								); Override;
Begin
    DoToField ('T%appname%Doc', nil, bClass);
    inherited Fields (DoToField);
End; {Fields}
{$ENDC}

{End U%AppName%Doc.inc.p}
